Plugin's crashing my game

Discussion in 'Javascript/Plugin Support' started by FlippyIsKing18, Dec 31, 2017.

    Tags:
  1. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    So I've been trying my hand at making RPG's. I'm getting the hang of it so far, but I'm trying one of yanfly's plugins for animated enemies, and his battle core, but every time I test it, it starts up fine, but there are 2 problems.

    1. The character is facing the wrong way

    2. My PC attacks just fine, but when the enemy does, it stops and reads "cannot read property 'call' of undefined".

    Can anybody help me?

    https://www.dropbox.com/s/xl7eeabqmab5o4l/Screenshot 2017-12-31 01.28.55.png?dl=0
     
    #1
  2. Kes

    Kes Global Moderators Global Mod

    Messages:
    20,555
    Likes Received:
    10,495
    First Language:
    English
    Primarily Uses:
    RMVXA

    I've moved this thread to Javascript/Plugin Support. Please be sure to post your threads in the correct forum next time. Thank you.

     
    #2
  3. Poryg

    Poryg Pixie of the Emvee kingdom, Ham of a Hamster Veteran

    Messages:
    3,851
    Likes Received:
    9,629
    Location:
    Czech Republic
    First Language:
    Czech
    Primarily Uses:
    RMMV
    In plugins it's necessary to have correct prerequisite plugins, to have plugins in сorrect order and to have compatible plugins. If you use only Yanfly's plugins, I assume that compatibility is not an issue, but what about ordering? It would be great if you shared the plugin list screenshot, it could tell us more about the problem.
     
    #3
  4. Andar

    Andar Veteran Veteran

    Messages:
    28,305
    Likes Received:
    6,433
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    Additionally, the animated sv enemies plugin requires a rather new project core version, causing errors similiar to the one you listed if your project core is older.
    So check your core JS files for their version number and consider updating if the version is lower than 1.4 (current would be 1.5.1)
     
    #4
  5. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    #5
  6. Poryg

    Poryg Pixie of the Emvee kingdom, Ham of a Hamster Veteran

    Messages:
    3,851
    Likes Received:
    9,629
    Location:
    Czech Republic
    First Language:
    Czech
    Primarily Uses:
    RMMV
    Yanfly's battle engine core functions a bit better with Yanfly's core engine plugin to say the least, so not using it may be the reason. And where can you get newer version? I guess at the same place as you received other Yanfly plugins - yanfly.moe.

    But I think the main reason would be the fact that you use two AnimatedSVEnemies plugins from two completely different sources, which not only creates compatibility issues, but also is completely redundant. It's like using three custom menu design plugins at once or two message window plugins. It just won't work out.
     
    #6
  7. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    #7
  8. Poryg

    Poryg Pixie of the Emvee kingdom, Ham of a Hamster Veteran

    Messages:
    3,851
    Likes Received:
    9,629
    Location:
    Czech Republic
    First Language:
    Czech
    Primarily Uses:
    RMMV
    Maybe it's because you are using Yanfly's battle engine core, but not her core engine. You need to use both if memory serves me correctly.
     
    #8
  9. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
  10. Poryg

    Poryg Pixie of the Emvee kingdom, Ham of a Hamster Veteran

    Messages:
    3,851
    Likes Received:
    9,629
    Location:
    Czech Republic
    First Language:
    Czech
    Primarily Uses:
    RMMV
    I know it's stupid, but are these battler character files factng left in the sv battler file? Because that is the only issue I can potentially see.
     
    #10
  11. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    They are not, I didn't know you could make them face the other way in their file. How do you do that?
     
    #11
  12. Poryg

    Poryg Pixie of the Emvee kingdom, Ham of a Hamster Veteran

    Messages:
    3,851
    Likes Received:
    9,629
    Location:
    Czech Republic
    First Language:
    Czech
    Primarily Uses:
    RMMV
    I did not mean the sv_enemies files, I meant sv_battlers used for enemies. Because I even tested the same plugin layout and on my end everything works just fine. The only difference is the version of animated sv enemies, you have 1 higher than me.
    So either that is causing the bug, or the pictures... Or indeed as Andar has said obsolete rpg_*.js scripts.You can find their version if you go to your project folder, to js and open rpg_core.js in a text editor.
     
    #12
  13. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    Well, how do you make the battlers face the opposite direction?
     
    #13
  14. Poryg

    Poryg Pixie of the Emvee kingdom, Ham of a Hamster Veteran

    Messages:
    3,851
    Likes Received:
    9,629
    Location:
    Czech Republic
    First Language:
    Czech
    Primarily Uses:
    RMMV
    The animated sv enemies plugin should flip them by default, but from the looks of it yours is not doing it. Changing the direction sprites are facing is a simple image editing btw.
     
    #14
  15. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    Alright, so do I have a bad file or what?
     
    #15
  16. Poryg

    Poryg Pixie of the Emvee kingdom, Ham of a Hamster Veteran

    Messages:
    3,851
    Likes Received:
    9,629
    Location:
    Czech Republic
    First Language:
    Czech
    Primarily Uses:
    RMMV
    Maybe.
    Maybe you also have obsolete project core scripts. In order to update these go to your mv installation directory/newdata/js and copy all six rpg_*.js scripts to your project's js folder, overwriting the previous ones.
     
    #16
  17. Andar

    Andar Veteran Veteran

    Messages:
    28,305
    Likes Received:
    6,433
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    You may have an outdated file.
    That is why we asked you several times to check the version number inside your core files

    Just open any of the core JS files with any editor (notepad is enough) and check the title line.
     
    #17
  18. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    #18
  19. FlippyIsKing18

    FlippyIsKing18 Veteran Veteran

    Messages:
    32
    Likes Received:
    0
    First Language:
    English
    Primarily Uses:
    RMMV
    It's file says version 1.45, but that's what's available on yanfly.moe
     
    #19
  20. Andar

    Andar Veteran Veteran

    Messages:
    28,305
    Likes Received:
    6,433
    Location:
    Germany
    First Language:
    German
    Primarily Uses:
    RMMV
    Please answer our question by checking the Version of your projects core JS file.

    And if you really need to update your project, every update topic both here and on steam contains detailed instructions on how to do that (it has to be done manually), the part above is just an abbreviated short cut.

    Edit: we are NOT talking about the Plugins, the core files are NOT available on yanfly's Website.
    The Version number can not be 1.45 either, it might be 1.4.5 but even that would be outdated as the newest is 1.5.1
     
    #20

Share This Page